%define name gnome-jabber
%define version 0.4
%define release 3mdk

Name: %{name}
Summary: A gnome jabber client
Version: %{version}
Release: %{release}
License: GPL
Url: http://gnome-jabber.sourceforge.net/
Group: Networking/Instant Messaging
Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-jabber/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake >= 1.4
BuildRequires: libgnomeui2-devel
BuildRequires: libgnet2-devel
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser

%description
A gnome jabber client. 
It allow you to connect to many other IM protocol like ICQ and AIM.

%prep
%setup -q

%build
%configure
rm -f intltool-merge
cp /usr/bin/intltool-merge .
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
mv %buildroot/%{_datadir}/locale/en_CA %buildroot/%{_datadir}/locale/en_US

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/gnome-jabber" icon="instant_messaging_section.png" \
                needs="X11" section="Networking/Instant messaging" \
 title="Gnome-Jabber" longtitle="A gnome jabber client"
EOF

%find_lang %name --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,0755)
%doc  COPYING INSTALL ChangeLog TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_sysconfdir}/gconf/schemas/gnome-jabber.schemas
%{_datadir}/applications/gnome-jabber.desktop

%changelog
* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 0.4-3mdk
- fix BuildRequires

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.4-2mdk
- fix menu entry

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.4-1mdk
- new version

* Thu Sep 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-1mdk
- add doc files
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - update to 0.3
    - add missins build requires

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 0.1.0-2mdk 
- fix BuildRequires
- add %%doc

* Thu Jul 31 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.0-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr> 0.1.0-1mdk
    - Make a spec file
